# GET Track Winners by Season ID

{% hint style="danger" %}
**This version of the API is deprecated. Please visit the** [**docs**](https://docs.sportmonks.com/v3/motorsport-api/) **of our brand new Motorsport API v3**&#x20;
{% endhint %}

### `GET` Track winners by Season ID

```
https://f1.sportmonks.com/api/v1.0/tracks/season/{seasonID}/winners
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 0       |

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://f1.sportmonks.com/api/v1.0/tracks/season/6/winners
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
    "data": [
        {
            "id": 3,
            "name": "Bahrain Grand Prix",
            "track": "Bahrain International Circuit",
            "length": "5.412 km",
            "country_id": 190321,
            "direction": "clockwise",
            "type": "race-circuit",
            "image_path": "https://cdn.sportmonks.com/images/f1/circuits/bahrain-international-circuit.png",
            "winner": {
                "data": {
                    "driver_id": 232409,
                    "team_id": 11,
                    "track_id": 3,
                    "season_id": 7,
                    "stage_id": 115336564,
                    "position": 1,
                    "driver_time": "1:37:33.584",
                    "driver_time_int": "1:37:33.584",
                    "best_lap_time": "1:37:33.584",
                    "laps": 57,
                    "grid": "4",
                    "pit": "3",
                    "retired": false,
                    "fasted_lap_time": null,
                    "fasted_lap": 57,
                    "driver": {
                        "data": {
                            "id": 232409,
                            "team_id": 11,
                            "name": "Charles Leclerc (MON)",
                            "short_name": "LEC",
                            "number": 16,
                            "image_path": "https://cdn.sportmonks.com/images/f1/drivers/charlesleclerc.png"
                        }
                    },
                    "team": {
                        "data": {
                            "id": 11,
                            "name": "Ferrari",
                            "engine": "Ferrari 066/7",
                            "chassis": "F1-75",
                            "color_code": "#dc0000",
                            "base": "Maranello, Italy",
                            "team_lead": "Mattia Binotto",
                            "technical_lead": "Mattia Binotto",
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://formulaone-postman.sportmonks.com/#dbfe5dc3-08d2-4c58-b105-4f43225b0792)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/formula-one-api/our-api/winners/get-track-winners-by-season-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
